plugins {
    id("java")
    id("com.github.johnrengelman.shadow") version "8.1.1"
}

group = "tech.nevets"
version = "1.0.0"

repositories {
    mavenCentral()
}

dependencies {
    implementation("net.dv8tion:JDA:5.0.0-beta.11")
    implementation("ch.qos.logback:logback-classic:1.2.9")
    implementation("com.google.code.gson:gson:2.10.1")
}

tasks.withType<Jar> {
    manifest {
        attributes["Main-Class"] = "tech.nevets.wikipediabot.Bot"
    }
}